Subject: Re: bug#59986: 30.0.50; Can't trash file with broken symbolic link
From: Eli Zaretskii <[email-masked]>
To: Jean Louis <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 16 Dec 2022 17:56:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 16 Dec 2022 09:39:31 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I have manually applied that patch as I do not know how to
> apply it directly. Am I supposed to use `patch' command? 
> 
> I have tested your patch and it can delete dangling symlinks
> and moves them to Trash. And I could observe it adds ~N~ to
> file names, so it works well.
> 
>   lrwxrwxrwx 1    9 Dec 15 17:51 more -> something
>   lrwxrwxrwx 1    9 Dec 16 09:37 more.~1~ -> something
>   lrwxrwxrwx 1    9 Dec 16 09:37 more.~2~ -> something
>   -rwxr-xr-x 1 1.5K Sep 15  2018 
> 
> Thanks much.

Thanks for testing.  I've now installed the fix on the emacs-29
branch, and I'm therefore closing this bug.